INTERFACE
SUBROUTINE MF_PHYS_PREP(&
 & KST,KEND,LDALLOC_PRE9FPHY,LDALLOC_PRE9PHY,POROG,PGMV,PR0,PR9,&
 & PGWFT0,PGWFT9,PNHPRE0F,PNHPRE9F,PNHPRE0H,PNHPRE9H,&
 & PRE0F,PRE9F,PRE0,PRE9,PDELP0,PDELP9,PRDELP0,PRDELP9,&
 & PLNPR0,PLNPR9,PALPH0,PALPH9,&
 & PW0,PW9,PRE0F_PHY,PRE9F_PHY,PRE0_PHY,PRE9_PHY,&
 & PREHYD0F_PHY,PREHYD9F_PHY,PREHYD0_PHY,PREHYD9_PHY,&
 & PDELP0_PHY,PDELP9_PHY,PRDELP0_PHY,PRDELP9_PHY,&
 & PLNPR0_PHY,PLNPR9_PHY,PALPH0_PHY,PALPH9_PHY) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPROMA ,NPROMNH ,NFLEVG
USE YOMGMV , ONLY : YT0 ,YT9 ,NDIMGMV
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
LOGICAL,INTENT(IN) :: LDALLOC_PRE9FPHY
LOGICAL,INTENT(IN) :: LDALLOC_PRE9PHY
REAL(KIND=JPRB),INTENT(IN) :: POROG(NPROMA)
REAL(KIND=JPRB),INTENT(IN) :: PGMV(NPROMA,NFLEVG,NDIMGMV)
REAL(KIND=JPRB),INTENT(IN) :: PR0(NPROMA,NFLEVG)
REAL(KIND=JPRB),INTENT(IN) :: PR9(NPROMA,NFLEVG)
REAL(KIND=JPRB),INTENT(IN) :: PGWFT0(NPROMA,NFLEVG)
REAL(KIND=JPRB),INTENT(IN) :: PGWFT9(NPROMA,NFLEVG)
REAL(KIND=JPRB),INTENT(IN) :: PNHPRE0F(NPROMNH,NFLEVG)
REAL(KIND=JPRB),INTENT(IN) :: PNHPRE9F(NPROMNH,NFLEVG)
REAL(KIND=JPRB),INTENT(IN) :: PNHPRE0H(NPROMNH,0:NFLEVG)
REAL(KIND=JPRB),INTENT(IN) :: PNHPRE9H(NPROMNH,0:NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PRE0F(NPROMA,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PRE9F(NPROMA,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PRE0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PRE9(NPROMA,0:NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PDELP0(NPROMA,0:NFLEVG+1)
REAL(KIND=JPRB),INTENT(INOUT) :: PDELP9(NPROMA,0:NFLEVG+1)
REAL(KIND=JPRB),INTENT(INOUT) :: PRDELP0(NPROMA,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PRDELP9(NPROMA,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PLNPR0(NPROMA,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PLNPR9(NPROMA,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PALPH0(NPROMA,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PALPH9(NPROMA,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PW0(NPROMA,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PW9(NPROMA,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PRE0F_PHY(NPROMA,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PRE9F_PHY(NPROMA,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PRE0_PHY(NPROMA,0:NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PRE9_PHY(NPROMA,0:NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PREHYD0F_PHY(NPROMA,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PREHYD9F_PHY(NPROMA,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PREHYD0_PHY(NPROMA,0:NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PREHYD9_PHY(NPROMA,0:NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PDELP0_PHY(NPROMA,0:NFLEVG+1)
REAL(KIND=JPRB),INTENT(OUT) :: PDELP9_PHY(NPROMA,0:NFLEVG+1)
REAL(KIND=JPRB),INTENT(OUT) :: PRDELP0_PHY(NPROMA,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PRDELP9_PHY(NPROMA,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PLNPR0_PHY(NPROMA,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PLNPR9_PHY(NPROMA,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PALPH0_PHY(NPROMA,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PALPH9_PHY(NPROMA,NFLEVG)
END SUBROUTINE MF_PHYS_PREP
END INTERFACE
